org.vishia.gral.widget

## Class GralLabel.GraphicImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.widget.GralLabel.GraphicImplAccess

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    AwtLabel, SwtLabel
  Enclosing class:
    GralLabel

      public abstract class GralLabel.GraphicImplAccess
      extends GralWidget.ImplAccess
      implements GralWidgImpl_ifc

- - ### Field Summary

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphicImplAccess(GralWidget widgg, GralMng mng)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `origin()`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getPixelPositionSize, getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Constructor Detail

    - #### GraphicImplAccess

          protected GraphicImplAccess(GralWidget widgg,
                                      GralMng mng)

  - ### Method Detail

    - #### origin

          protected int origin()